Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object System.Reflection.ICustomAttributeProvider System.Runtime.InteropServices._Module System.Runtime.Serialization.ISerializable System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._Module)) System.Runtime.InteropServices.ComVisible(true)

A module is a portable executable file, such as type.dll or application.exe, consisting of one or more classes and interfaces. There may be multiple namespaces contained in a single module, and a namespace may span multiple modules.

One or more modules deployed as a unit compose an assembly. For information about creating an assembly with more than one module, see Multifile Assemblies.

Note that a .NET Framework module is not the same as a module in Visual Basic, which is used by a programmers to organize functions and subroutines in an application.

Performs reflection on a module.

- Constructor
  4.0.0.0

  This constructor is invoked by derived classes during the construction of objects.

  Initializes a new instance of the class.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Assembly

  A instance that reflects the assembly that contains the module reflected by the current instance.

  This property is read-only.

  Gets the appropriate for this instance of .

  1
  RuntimeInfrastructure
- Property
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Reflection.CustomAttributeData> To be added. To be added.

  Gets a collection that contains this module's custom attributes.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether this module and the specified object are equal.

  true if is equal to this instance; otherwise, false.

  The object to compare with this instance.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeFilter null

  The filter supports a trailing "*" wildcard.

  A TypeFilter object that filters the list of types defined in this module based upon the name. This field is case-sensitive and read-only.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeFilter null

  The filter supports a trailing "*" wildcard.

  A TypeFilter object that filters the list of types defined in this module based upon the name. This field is case-insensitive and read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type[] `` ``

  is a special class load exception. The ReflectionTypeLoadException.Types property contains the array of classes that were defined in the module and were loaded. This array may contain some null values. The ReflectionTypeLoadException.LoaderExceptions property is an array of exceptions that represent the exceptions that were thrown by the class loader. The holes in the class array line up with the exceptions.

  The delegate given by is called for each class in the module, passing along the Type object representing the class as well as the given . If returns a particular class, that class will be included in the returned array. If returns null, all classes are returned and is ignored.

  FindTypes cannot be used to look up parameterized types such as arrays.

  Returns an array of classes accepted by the given filter and filter criteria.

  An array of type Type containing classes that were accepted by the filter.

  The delegate used to filter the classes. An Object used to filter the classes.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  A that represents the full path of the module reflected by the current instance. If the assembly that contains the module reflected by the current instance was loaded from a

  array, the value of this string is "<Unknown>".

  Requires permission to access path information. See and .

  To get the name without the path, use .

  If the assembly for this module was loaded from a byte array then the FullyQualifiedName for the module will be: <Unknown>.

  The case of module name is platform-dependent.

  Gets a string representing the fully qualified name and path to this module.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] `` To be added.

  Returns all custom attributes.

  An array of type Object containing all custom attributes.

  This argument is ignored for objects of this type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] `` `` To be added.

  Gets custom attributes of the specified type.

  An array of type Object containing all custom attributes of the specified type.

  The type of attribute to get. This argument is ignored for objects of this type.
- Method
  4.0.0.0
  System.Collections.Generic.IList<System.Reflection.CustomAttributeData>

  Use this method to examine the custom attributes of code in the reflection-only context, in cases where the custom attributes themselves are defined in code that is loaded into the reflection-only context. Methods such as and cannot be used in such cases, because they create instances of the attributes. Code in the reflection-only context cannot be executed. For more information and example code, see the class.

  Returns a list of objects for the current module, which can be used in the reflection-only context.

  A generic list of objects representing data about the attributes that have been applied to the current module.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldInfo ``

  A global public field is a static field with a module-level scope.

  is .

  Returns a field having the specified name.

  A FieldInfo object having the specified name, or null if the field does not exist.

  The field name. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldInfo `` ``

  A global field is a field with a module-level scope.

  is .

  Returns a field having the specified name and binding attributes.

  A FieldInfo object having the specified name and binding attributes, or null if the field does not exist.

  The field name. One of the BindingFlags bit flags used to control the search. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldInfo[]

  The method does not return fields in a particular order, such as alphabetical or declaration order. Your code must not depend on the order in which fields are returned, because that order can vary.

  Returns the global fields defined on the module.

  An array of objects representing the global fields defined on the module; if there are no global fields, an empty array is returned.

  0
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldInfo[] ``

  The method does not return fields in a particular order, such as alphabetical or declaration order. Your code must not depend on the order in which fields are returned, because that order can vary.

  Returns the global fields defined on the module that match the specified binding flags.

  An array of type representing the global fields defined on the module that match the specified binding flags; if no global fields match the binding flags, an empty array is returned.

  A bitwise combination of values that limit the search.
- Method
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo ``

  A global public method is a static method with a module-level scope.

  is .

  Returns a method having the specified name.

  A MethodInfo object having the specified name, or null if the method does not exist.

  The method name. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo `` ``

  A global public method is a static method with a module-level scope.

  is .

  -or-

  is .

  -or-

  At least one element of is .

  Returns a method having the specified name and parameter types.

  A MethodInfo object in accordance with the specified criteria, or null if the method does not exist.

  The method name. The parameter types to search for. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo `` `` `` `` `` `` To be added.

  Returns a method having the specified name, binding information, calling convention, and parameter types and modifiers.

  A MethodInfo object in accordance with the specified criteria, or null if the method does not exist.

  The method name. One of the BindingFlags bit flags used to control the search. An object that implements Binder, containing properties related to this method. The calling convention for the method. The parameter types to search for. An array of parameter modifiers used to make binding work with parameter signatures in which the types have been modified.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo `` `` `` `` `` `` To be added.

  Returns the method implementation in accordance with the specified criteria.

  A MethodInfo object containing implementation information as specified, or null if the method does not exist.

  The method name. One of the BindingFlags bit flags used to control the search. An object that implements Binder, containing properties related to this method. The calling convention for the method. The parameter types to search for. An array of parameter modifiers used to make binding work with parameter signatures in which the types have been modified.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo[]

  A global public method is a static method with a module-level scope.

  Returns the global methods defined on the module.

  An array of objects representing all the global methods defined on the module; if there are no global methods, an empty array is returned.

  0
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo[] ``

  A global method is a method with a module-level scope.

  Returns the global methods defined on the module that match the specified binding flags.

  An array of type representing the global methods defined on the module that match the specified binding flags; if no global methods match the binding flags, an empty array is returned.

  A bitwise combination of values that limit the search.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Provides an implementation for serialized objects.

  The information and data needed to serialize or deserialize an object. The context for the serialization.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509Certificate To be added.

  Returns an X509Certificate object corresponding to the certificate included in the Authenticode signature of the assembly which this module belongs to. If the assembly has not been Authenticode signed, null is returned.

  An X509Certificate object, or null if the assembly to which this module belongs has not been Authenticode signed.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Type ``

  If the type has been forwarded to another assembly, it is still returned by this method. For information on type forwarding, see Type Forwarding in the Common Language Runtime.

  A type can be retrieved from a specific module using . Calling on the module that contains the manifest will not search the entire assembly. To retrieve a type from an assembly, regardless of which module it is in, you must call .

  Returns the specified type, performing a case-sensitive search.

  A Type object representing the given type, if the type is in this module; otherwise, null.

  The name of the type to locate. The name must be fully qualified with the namespace.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Type `` ``

  If the type has been forwarded to another assembly, it is still returned by this method. For information on type forwarding, see Type Forwarding in the Common Language Runtime.

  A type can be retrieved from a specific module using . Calling on the module that contains the manifest will not search the entire assembly. To retrieve a type from an assembly, regardless of which module it is in, you must call .

  Returns the specified type, searching the module with the specified case sensitivity.

  A Type object representing the given type, if the type is in this module; otherwise, null.

  The name of the type to locate. The name must be fully qualified with the namespace. true for case-insensitive search; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Type `` `` ``

  The parameter affects only what happens when the type is not found. It does not affect any other exceptions that might be thrown. In particular, if the type is found but cannot be loaded, can be thrown even if is false.

  If the type has been forwarded to another assembly, it is still returned by this method. For information on type forwarding, see Type Forwarding in the Common Language Runtime.

  A type can be retrieved from a specific module using . Calling on the module that contains the manifest will not search the entire assembly. To retrieve a type from an assembly, regardless of which module it is in, you must call .

  Returns the specified type, specifying whether to make a case-sensitive search of the module and whether to throw an exception if the type cannot be found.

  A object representing the specified type, if the type is declared in this module; otherwise, null.

  The name of the type to locate. The name must be fully qualified with the namespace. true to throw an exception if the type cannot be found; false to return null. true for case-insensitive search; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type[]

  ReflectionTypeLoadException is a special load exception. The ReflectionTypeLoadException.Types property contains the array of types that were defined in the module and were loaded. This array may contain some null values. The ReflectionTypeLoadException.LoaderExceptions property is an array of exceptions that represent the exceptions that were thrown by the loader. The holes in the class array line up with the exceptions.

  For example, if the class initializers of one of the classes throws an exception while it is being loaded, a TargetInvocationException is stored in the corresponding element of the LoaderExceptions array.

  If a type has been forwarded to another assembly, it is not included in the returned array. For information on type forwarding, see Type Forwarding in the Common Language Runtime.

  Returns all the types defined within this module.

  An array of type Type containing types defined within the module that is reflected by this instance.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Returns a value that indicates whether the specified attribute type has been applied to this module.

  true if one or more instances of have been applied to this module; otherwise, false.

  The type of custom attribute to test for. This argument is ignored for objects of this type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Gets a value indicating whether the object is a resource.

  true if the object is a resource; otherwise, false.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  For more information on the metadata header, see "Partition II: Metadata Definition and Semantics" in the Common Language Infrastructure (CLI) documentation. The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the ECMA Web site.

  Gets the metadata stream version.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  The tokens obtained using this property can be passed to the unmanaged Reflection API. For more information, see The Unmanaged Reflection API.

  Information about metadata tokens can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the ECMA Web site.

  Gets a token that identifies the module in metadata.

- Property
  2.0.0.0
  4.0.0.0
  System.ModuleHandle To be added. To be added.

  Gets a handle for the module.

- Property
  2.0.0.0
  4.0.0.0
  System.Guid To be added.

  In unmanaged metadata, the GUID returned by the property is referred to as the mvid, and is stored in the GUID heap.

  More information about metadata can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the ECMA Web site.

  Gets a universally unique identifier (UUID) that can be used to distinguish between two versions of a module.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  A containing the name of the module reflected by the current instance, with the path component removed. If the assembly that contains the module reflected by the current instance was loaded from a

  array, the value of this string is "<Unknown>".

  Name is a platform-dependent string.

  If the assembly for this module was loaded from a byte array then the FullyQualifiedName for the module will be: <Unknown>.

  To get the name and the path, use .

  Gets a String representing the name of the module with the path removed.

  0
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Indicates whether two objects are equal.

  true if is equal to ; otherwise, false.

  The first object to compare. The second object to compare.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Indicates whether two objects are not equal.

  true if is not equal to ; otherwise, false.

  The first object to compare. The second object to compare.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldInfo ``

  To resolve a metadata token that identifies a field whose parent TypeSpec has a signature containing element type ELEMENT_TYPE_VAR or ELEMENT_TYPE_MVAR, use the method overload, which allows you to supply the necessary context. That is, when you are resolving a metadata token for a field that depends on the generic type parameters of the generic type and/or the generic method in which the token is embedded, you must use the overload that allows you to supply those type parameters.

  Information about metadata tokens can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the ECMA Web site.

  For code that demonstrates token resolution using the generic context (that is, the generic type parameters of the generic type and/or the generic method in which the token is embedded) see the method.

  Returns the field identified by the specified metadata token.

  A object representing the field that is identified by the specified metadata token.

  A metadata token that identifies a field in the module.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldInfo `` `` ``

  Use the method on the type where is in scope to obtain an array of generic type arguments for . Use the method on the method where is in scope to obtain an array of generic type arguments for . It is always safe to provide these arguments, even when they are not needed.

  Information about metadata tokens can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the ECMA Web site.

  For code that demonstrates token resolution using the generic context (that is, the generic type parameters of the generic type and/or the generic method in which the token is embedded) see the method.

  Returns the field identified by the specified metadata token, in the context defined by the specified generic type parameters.

  A object representing the field that is identified by the specified metadata token.

  A metadata token that identifies a field in the module. An array of objects representing the generic type arguments of the type where the token is in scope, or null if that type is not generic. An array of objects representing the generic type arguments of the method where the token is in scope, or null if that method is not generic.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo ``

  To resolve a metadata token for a MethodSpec or TypeSpec whose signature contains element type ELEMENT_TYPE_VAR or ELEMENT_TYPE_MVAR, use the method overload, which allows you to supply the necessary context. That is, when you are resolving a metadata token for a member that depends on the generic type parameters of the generic type and/or the generic method in which the token is embedded, you must use the overload that allows you to supply those type parameters.

  Information about metadata tokens can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the ECMA Web site.

  For code that demonstrates token resolution using the generic context (that is, the generic type parameters of the generic type and/or the generic method in which the token is embedded) see the method.

  Returns the type or member identified by the specified metadata token.

  A object representing the type or member that is identified by the specified metadata token.

  A metadata token that identifies a type or member in the module.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo `` `` ``

  Use the method on the type where is in scope to obtain an array of generic type arguments for . Use the method on the method where is in scope to obtain an array of generic type arguments for . It is always safe to provide these arguments, even when they are not needed.

  Information about metadata tokens can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the ECMA Web site.

  For code that demonstrates token resolution using the generic context (that is, the generic type parameters of the generic type and/or the generic method in which the token is embedded) see the method.

  Returns the type or member identified by the specified metadata token, in the context defined by the specified generic type parameters.

  A object representing the type or member that is identified by the specified metadata token.

  A metadata token that identifies a type or member in the module. An array of objects representing the generic type arguments of the type where the token is in scope, or null if that type is not generic. An array of objects representing the generic type arguments of the method where the token is in scope, or null if that method is not generic.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodBase ``

  To resolve a metadata token for a MethodSpec whose signature contains element type ELEMENT_TYPE_VAR or ELEMENT_TYPE_MVAR, use the method overload, which allows you to supply the necessary context. That is, when you are resolving a metadata token for a method that depends on the generic type parameters of the generic type and/or the generic method in which the token is embedded, you must use the overload that allows you to supply those type parameters.

  Information about metadata tokens can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the ECMA Web site.

  Returns the method or constructor identified by the specified metadata token.

  A object representing the method or constructor that is identified by the specified metadata token.

  A metadata token that identifies a method or constructor in the module.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodBase `` `` ``

  Use the method on the type where is in scope to obtain an array of generic type arguments for . Use the method on the method where is in scope to obtain an array of generic type arguments for . It is always safe to provide these arguments, even when they are not needed.

  Information about metadata tokens can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the ECMA Web site.

  Returns the method or constructor identified by the specified metadata token, in the context defined by the specified generic type parameters.

  A object representing the method that is identified by the specified metadata token.

  A metadata token that identifies a method or constructor in the module. An array of objects representing the generic type arguments of the type where the token is in scope, or null if that type is not generic. An array of objects representing the generic type arguments of the method where the token is in scope, or null if that method is not generic.
- Method
  2.0.0.0
  4.0.0.0
  System.Byte[] ``

  Information about metadata tokens and signatures can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the ECMA Web site.

  Returns the signature blob identified by a metadata token.

  An array of bytes representing the signature blob.

  A metadata token that identifies a signature in the module.
- Method
  2.0.0.0
  4.0.0.0
  System.String ``

  Information about metadata tokens can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the ECMA Web site.

  Returns the string identified by the specified metadata token.

  A containing a string value from the metadata string heap.

  A metadata token that identifies a string in the string heap of the module.
- Method
  2.0.0.0
  4.0.0.0
  System.Type ``

  To resolve a metadata token for a TypeSpec whose signature contains ELEMENT_TYPE_VAR or ELEMENT_TYPE_MVAR, use the method overload, which allows you to supply the necessary context. That is, when you are resolving a metadata token for a type that depends on the generic type parameters of the generic type and/or the generic method in which the token is embedded, you must use the overload that allows you to supply those type parameters.

  Information about metadata tokens can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the ECMA Web site.

  Returns the type identified by the specified metadata token.

  A object representing the type that is identified by the specified metadata token.

  A metadata token that identifies a type in the module.
- Method
  2.0.0.0
  4.0.0.0
  System.Type `` `` ``

  Use the method on the type where is in scope to obtain an array of generic type arguments for . Use the method on the method where is in scope to obtain an array of generic type arguments for . It is always safe to provide these arguments, even when they are not needed.

  Information about metadata tokens can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the ECMA Web site.

  For code that demonstrates token resolution using the generic context (that is, the generic type parameters of the generic type and/or the generic method in which the token is embedded) see the method.

  Returns the type identified by the specified metadata token, in the context defined by the specified generic type parameters.

  A object representing the type that is identified by the specified metadata token.

  A metadata token that identifies a type in the module. An array of objects representing the generic type arguments of the type where the token is in scope, or null if that type is not generic. An array of objects representing the generic type arguments of the method where the token is in scope, or null if that method is not generic.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The ScopeName property is not used by the common language runtime, but you can use it to store any string you want in the property when you emit a module using the metadata APIs. Reflection itself does not allow you to set the ScopeName property.

  Gets a string representing the name of the module.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  Retrieves the type information for an object, which can then be used to get the type information for an interface.

  The type information to return. The locale identifier for the type information. Receives a pointer to the requested type information object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  This method overrides .

  Returns the name of the module.

  A String representing the name of this module.

  0
0